[datname,fullpath]=uigetfile('D:\*.dat','Pick one example file in ASCII directory...');

workdir=fullpath;
if workdir(end)~='\'
    workdir=[workdir '\'];
end

slashes=strfind(workdir,'\');
basename=workdir(slashes(end-1)+1:slashes(end)-1);
savename=[basename '_binary.mat'];


datlist=dir([workdir '\*.dat']);
newdata=importdata([workdir '\' datlist(1).name], ' ',11);

% VARIABLES = "x", "y", "u", "v", "flag", "mag", "vort", "lambda2"

numberOfFiles=length(datlist);
x=newdata.data(:,1);
y=newdata.data(:,2);
u=zeros(length(newdata.data),numberOfFiles);
v=zeros(length(newdata.data),numberOfFiles);
mag=zeros(length(newdata.data),numberOfFiles);
vort=zeros(length(newdata.data),numberOfFiles);
lambda2=zeros(length(newdata.data),numberOfFiles);

wb1=waitbar(0,'Importing files');
    for n=1:numberOfFiles
        wb1=waitbar(n/numberOfFiles);
        newdata=importdata([workdir '\' datlist(n).name], ' ',11);

        u(:,n)=newdata.data(:,3);
        v(:,n)=newdata.data(:,4);
        mag(:,n)=newdata.data(:,6);
        vort(:,n)=newdata.data(:,7);
     %   lambda2(:,n)=newdata.data(:,8);
    end
close(wb1)

saveArray=zeros(length(newdata.data),numberOfFiles,6);
saveArray(:,1,1)=x;
saveArray(:,1,2)=y;
saveArray(:,:,3)=u;
saveArray(:,:,4)=v;
saveArray(:,:,5)=mag;
saveArray(:,:,6)=vort;

save([workdir '\' savename], 'saveArray','-v7.3');

clear saveArray
clear newdata










