period=1.17;

nTimeSteps=round(period*500);

U_phase=zeros(dim,dim,nTimeSteps);
V_phase=zeros(dim,dim,nTimeSteps);

for i=1:nTimeSteps
    for j=1:5
    U_phase(:,:,i)=U_phase(:,:,i)+U(:,:,i+nTimeSteps.*(j-1))./5;
    V_phase(:,:,i)=V_phase(:,:,i)+V(:,:,i+nTimeSteps.*(j-1))./5;
    end
end

Usum=zeros(dim,dim,nTimeSteps);
Vsum=zeros(dim,dim,nTimeSteps);

for i=1:nTimeSteps
    for j=1:5
    Usum(:,:,i)=Usum(:,:,i)+(U(:,:,i+nTimeSteps.*(j-1))-U_phase(:,:,i)).^2;
    Vsum(:,:,i)=Vsum(:,:,i)+(V(:,:,i+nTimeSteps.*(j-1))-V_phase(:,:,i)).^2;
    end
end

U_sd=sqrt(0.25.*Usum);
V_sd=sqrt(0.25.*Vsum);

clear Usum
clear Vsum

