fid=fopen('D:\MATLAB\Moonpool lab\Seven Viking\Viking_noObject_100mm.asc');
a=fscanf(fid,'%f',[13,inf]);
a=a';
fclose(fid);

fid=fopen('D:\MATLAB\Moonpool lab\Seven Viking\Viking_noObject_100mm_selection.txt');
sel=fscanf(fid,'%f',[2,inf]);
sel=sel';
fclose(fid);

fid=fopen('D:\MATLAB\Moonpool lab\Seven Viking\Viking_object_periods.txt');
periods=fscanf(fid,'%f',[1,inf]);
periods=periods';
fclose(fid);

%sel=[30 80];

[nSamp, dummy]=size(sel);

dt=0.02;

selInteger=sel./dt;

[b,c]=size(a);
aNew=zeros(b,13);

for i=1:nSamp
aNew(selInteger(i,1):selInteger(i,2),:)=a(selInteger(i,1):selInteger(i,2),:);
end

heave=aNew(:,4);
surfaceMoonpool=((aNew(:,6)+aNew(:,7)+aNew(:,8)+aNew(:,10)+aNew(:,11))./5); %-aNew(:,4);
surfaceOutside=(((aNew(:,12))./1)-aNew(:,4));% .*0.5 + 0.5.*aNew(:,12);

heave=-heave;
%surfaceMoonpool=-surfaceMoonpool;
%surfaceOutside=-surfaceOutside;

%subplot(3,1,1)
%plot(a(:,1),surfaceMoonpool)
%subplot(3,1,2)
%plot(a(:,1),surfaceOutside)
%subplot(3,1,3)
%plot(a(:,1),heave)


for l=1:nSamp
j=1;
sum=0;
for i=selInteger(l,1)+1:selInteger(l,2)-1
    if surfaceMoonpool(i)>surfaceMoonpool(i-1) && surfaceMoonpool(i)>surfaceMoonpool(i+1) && surfaceMoonpool(i+1)>0.00001 && surfaceMoonpool(i-1)>0.00001
        moonpoolMax(l,j)=surfaceMoonpool(i);
        sum=sum+moonpoolMax(l,j);
        j=j+1;
    end
end
moonpoolMaxAverage(l)=sum./(j-1);
velocityMax(l)=(2.*pi./periods(l)).*moonpoolMaxAverage(l);
accelerationMax(l)=(2.*pi./periods(l)).*velocityMax(l);
end
moonpoolUnMaxAverage=moonpoolMaxAverage;

for l=1:nSamp
k=1;
sum=0;
for i=selInteger(l,1)+1:selInteger(l,2)-1
    if surfaceOutside(i)>surfaceOutside(i-1) && surfaceOutside(i)>surfaceOutside(i+1) && surfaceOutside(i+1)>0.00001 && surfaceOutside(i-1)>0.00001
        outsideMax(l,k)=surfaceOutside(i);
        sum=sum+outsideMax(l,k);
        k=k+1;
    end
end
outsideMaxAverage(l)=sum./(k-1);
end

for l=1:nSamp
k=1;
sum=0;
for i=selInteger(l,1)+1:selInteger(l,2)-1
    if heave(i)>heave(i-1) && heave(i)>heave(i+1) && heave(i+1)>0.00001 && heave(i-1)>0.00001
        heaveMax(l,k)=heave(i);
        sum=sum+heaveMax(l,k);
        k=k+1;
    end
end
heaveMaxAverage(l)=sum./(k-1);
end

moonpoolRAO=moonpoolMaxAverage./heaveMaxAverage;
outsideRAO=outsideMaxAverage./heaveMaxAverage;



scale=39.8611;

%hold on
%plot(periods.*sqrt(scale),moonpoolRAO,'-bo',periods.*sqrt(scale),outsideRAO,'-go')
%p=plot(periods.*sqrt(scale),moonpoolRAO);
%title('Relative moonpool wave elevation RAO, empty');
%xlabel('Period [s]');
%ylabel('Wave elevation/heave [m/m]');
%set(p,'LineWidth',2)
%grid on

















