[datname,fullpath]=uigetfile('D:\*.mat','Pick one .mat-file...');

workdir=fullpath;
if workdir(end)~='\'
    workdir=[workdir '\'];
end

slashes=strfind(workdir,'\');
basename=workdir(slashes(end-1)+1:slashes(end)-1);
savename=[basename '_binary.mat'];

wb1=waitbar(0,'Opening PIV data','CreateCancelBtn',...
    'setappdata(gcbf,''canceling'',1)');
setappdata(wb1,'canceling',0)
i=1;

arrayStruct=open([workdir '\' savename]);

    if getappdata(wb1,'canceling')
        break
    end
    waitbar(i/11,wb1);
    i=i+1;
    
arrayCell=struct2cell(arrayStruct);

    if getappdata(wb1,'canceling')
        break
    end
    waitbar(i/11,wb1);
    i=i+1;

array=cell2mat(arrayCell);

    if getappdata(wb1,'canceling')
        break
    end
    waitbar(i/11,wb1);
    i=i+1;

clear arrayStruct;
clear arrayCell;

    if getappdata(wb1,'canceling')
        break
    end
    waitbar(i/11,wb1);
    i=i+1;

x=array(:,1,1);

    if getappdata(wb1,'canceling')
        break
    end
    waitbar(i/11,wb1);
    i=i+1;

y=array(:,1,2);

    if getappdata(wb1,'canceling')
        break
    end
    waitbar(i/11,wb1);
    i=i+1;

u=array(:,:,3);

    if getappdata(wb1,'canceling')
        break
    end
    waitbar(i/11,wb1);
    i=i+1;

v=array(:,:,4);

    if getappdata(wb1,'canceling')
        break
    end
    waitbar(i/11,wb1);
    i=i+1;

mag=array(:,:,5);

    if getappdata(wb1,'canceling')
        break
    end
    waitbar(i/11,wb1);
    i=i+1;

vort=array(:,:,6);

    if getappdata(wb1,'canceling')
        break
    end
    waitbar(i/11,wb1);
    i=i+1;

clear array;
numberOfFiles=length(u(1,:));

    if getappdata(wb1,'canceling')
        break
    end
    waitbar(i/11,wb1);
    i=i+1;

delete(wb1)